#ifndef CHASSIS_H
#define CHASSSI_H

#define I2C_SLAVE_chassi 0x55

struct chassis_reception_t {
  unsigned char status;
};

struct chassis_emission_t {
  unsigned char status;
  int translation_x_mm, translation_y_mm;
  float rotation_z_rad;
  int vitesse, acceleration;
};

int Scan_chassis(struct chassis_reception_t * chassis_reception);
void send_Chassis(struct chassis_emission_t * chassis_emission);
void send_Chassis_RAZ(void);

#endif
